Subject: Re: [RFC] Git User's Survey 2009 - second trial run, and question about announcing it

From: Jakub Narebski <[email-masked]>
Date: Sun, 5 Jul 2009 00:43:58 +0200

On Sat, 4 July 2009, Felipe Contreras wrote:
> On Sat, Jul 4, 2009 at 4:26 AM, David Aguilar<[email-masked]> wrote:
>> On Sat, Jul 04, 2009 at 02:19:25AM +0300, Felipe Contreras wrote:
>>> 2009/7/3 Jakub Narebski <[email-masked]>:
>>>
>>>> 20. Overall, how happy are you with Git?
>>>>    * unhappy
>>>>    * not so happy
>>>>    * happy
>>>>    * very happy
>>>>    * completely ecstatic
>>>
>>> Let's leave room for git haters too:
>>>  * I hate it
>>
>> Umm, let's not.
>>
>> If they hate it, they'll be in the "unhappy" category.
>> And if they hate it, I doubt they'll be filling out this survey.

[...]
>> Let's not encourage them by including including "I hate git"
>> in our survey.
> 
> That's a good point, I just thought it would be nice to spot them;
> which would be easy if they answer "I hate it". But also, if there's
> an extreme positive (completely ecstatic) I thought there should be an
> extreme negative, just in case.
> 
> Probably not important at all.

Hmmm...

On the one hand side it would be better, I think, to have balanced set
of answers, with neutral position in the middle, and unhappy/happy
along the axis.

On the other hand that was the set of answers used in previous surveys,
so if we change it it would be harder to compare against surveys in past
years.

-- 
Jakub Narebski
Poland